<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: InputView_input.class.php,v 1.1 2005/06/20 09:31:27 snapshot Exp $
//
// Description:
// 2005/05/18
//

/** 
*	InputView.class.php
*	Mai Kawasaki
*	2005/05/18
*/

/** 
*	InputView
*/
class InputView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);
		
        $student = $request->getAttribute('student');
        $renderer->setAttribute('uid', $student->uid);
        $renderer->setAttribute('name', $student->name);
        $renderer->setAttribute('mail', $student->mail);
        $renderer->setAttribute('number', $student->number);
        $renderer->setAttribute('year', $student->year);
        $renderer->setAttribute('mail_old', $student->mail);
        $renderer->setAttribute('subjects', $request->getAttribute('subjects'));
        $renderer->setAttribute('subjects_user', $request->getAttribute('subjects_user'));
        $renderer->setAttribute('type', $request->getAttribute('type'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));

		if( $request->getAttribute('type') == 'mobile'){
	        $renderer->setTemplate('Input_input.php');
		} else {
	        $renderer->setTemplate('Input_input_pc.php');
		}


        return $renderer;

    }

}

?>